Status: Closed
Priority: Normal
Category:
Customer: VW Product Issue
Numbers:
Department: EHHV Affected Products: ADTF File Library 0.9.2 (BETA)
Requester's Priority: Normal Platform: Windows 10 64bit
Support Level: 2nd Level Topic: FileLibrary::DatProcessing
Resolution: Solved Issue FAQ Links:
Description
Support Anfrage:

ich habe mehrere ADTFDAT-Files, welche Lidarscanner-Daten als einen Stream enthalten, bei dem die MediaDescription
"anonymous" ist.

Ich méchte jetzt gern den Zeitstempel des 1. MediaSamples dieses Streams auslesen.

Dazu habe ich das bei ADTF3.15.2 mitgelieferte adtf_dattool mit dem CSV-Prozessor verwendet, welches leider wegen der nicht
vorhandenen MediaDescription eine Exception erzeugt.

Daher habe ich angefangen, auf Basis der mitgelieferten Quellcodes dieses CSV-Prozessors einen eigenen Prozessor zu
programmieren, welcher sich nur um die Zeitstempel der MediaSamples kiimmert.

Leider weif3 ich jetzt nicht, wie ich meinen eigenen Prozessor jetzt zum Laufen bekomme. Ich habe das Binary in das vorhandene
bin-Verzeichnis des adtf_file unter pkg kopiert, aber der Aufruf des Tools liefert:

exception: no factory for processor timestamp

Jetzt weil3 ich auch nicht mehr weiter. Wie bringe ich das zum Laufen? AuBerdem musste ich mein Projekt als "Debug" bauen, da im
Release-Mode folgende Fehler kommen (allein schon beim Bau-Versuch der unveranderten mitgelieferten Quellen):

. L e
Gesamte Projektmappe ~ ® 21 Fehler A 0 von 10 Warnungen (D 0 Mitteilungen ¥ | Erstellen + IntelliSense

" Code bung Projekt

®

canwriter adtf_filed.lib(stream_type.obj)

®

canwriter adtf_filed.lib(stream_type.obj)

LINK

® ®

adtf_filed.lib(adtf3_stream_type_.

Konflikt ermittelt fir

®

“M cDebug = file adtf_filed.lib(adtf3_stream_typ

LINK
Der Wert
es.obj Uberein.
Der Wert

® ®

referencedfiles adtf filed.lib(default_sample.obj)

®

referencedfiles adtf_filed.lib(default_sample.obj)

referencedfiles LINK

® ®

Csv_processor adtf_filed.lib(object.obj)

®

adtf_filed.lib(object.obj)

Gabe es grundsatzlich noch einen einfacheren Weg, den Zeitstempel des 1. MediaSamples eines Streams auszulesen? Klar, ich
kénnte einen Debugger ranh&ngen, aber das finde ich nicht so gut, wenn ich das wiederholt machen muss fiir eine Vielzahl an
DATFILES.

Lésung:

Das geht mit dem adtf_dattool ganz leicht:

adtf_dattool —--liststreams <datfile>
liefert dann folgendes:

adtf_dattool —--liststreams ~/devel/sdk/adtf3/src/examples/datfiles/example_file.adtfdat

adtfdat:

VIDEO:
type: adtf/image
processors:
time range (ns): [405356000, 14805306000]
items: 874

NESTED_STRUCT:
type: adtf2/legacy
processors:
time range (ns): [0, 14805306000]
items: 595

History

#1 - 2023-02-20 13:41 - hidden

- Project changed from Public Support to 20
- Description updated

- Status changed from New to In Progress

- Customer set to VW

- Department set to EHHV

- Topic set to FileLibrary::DatProcessing

- Affected Products ADTF File Library 0.9.2 (BETA) added
#2 - 2023-02-20 14:03 - hidden

Hi Stefan,

das geht mit dem adtf_dattool ganz leicht:
adtf_dattool --liststreams <datfile>

liefert dann folgendes:

adtf_dattool --liststreams ~/devel/sdk/adtf3/src/examples/datfiles/example_file.adtfdat

adtfdat:
VIDEO:
type: adtf/image
processors:

time range (ns): [405356000, 14805306000]
items: 874

NESTED_STRUCT:
type: adtf2/legacy

processors:
time range (ns): [0, 14805306000]
items: 595

GriBe,

Martin

#3 - 2023-02-21 06:09 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2023-02-21 06:45 - hidden
Hi Martin,

danke fur die Ldsung - da hétte ich ja echt auch selber drauf kommen kdnnen =)).
Beste GriBe,
Stefan

#5 - 2023-02-21 07:04 - hidden

- Subject changed from HowTo: Entwickeln eigener Prozessoren fir ADTF_DATTOOL to Get time stamp / time range with ADTF_DATTOOL

- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#7 - 2023-02-21 07:30 - hidden
- Platform Windows 10 64bit added

#9 - 2023-03-13 07:52 - hidden
- Project changed from 20 to Public Support
- Status changed from To Be Closed to Closed

- Private changed from Yes to No

Files

image001.png 72.4 KB

2024-04-10

2023-02-20

3/3

hidden


http://www.tcpdf.org

